# Class UsageException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.task.TaskException
uk.ac.starlink.task.UsageException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ParameterValueException`

public class UsageException extends TaskException
An Exception thrown when a task is invoked with the wrong usage.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UsageException()`
`UsageException(String msg)`
`UsageException(String msg, Throwable cause)`
`UsageException(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UsageException

public UsageException()

### UsageException

public UsageException(String msg)

### UsageException

public UsageException(String msg, Throwable cause)

### UsageException

public UsageException(Throwable cause)